# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

Puppet::Type.type(:db2_secured_setup).provide(:simple) do
  include EasyType::Provider

  desc 'Manage DB2 CIS Baseline'

  mk_resource_methods

  #
  # For this type we never need to create something.
  #
  def exists?
    true
  end
end
