#
# See the file "LICENSE" for the full license governing this code.
#
#
# Revoke public grants to the specfied resources
#
#
define db2_secured::internal::archive_directory (
  Stdlib::Absolutepath  $path,
  String                $indicator = 'DISK:',
) {
  $elements  = $title.split('/')
  $instance  = $elements[0]
  $database  = $elements[1]
  $parameter = $elements[2]

  resource_value { "File[${path}]owner":
    allow_create   => true,
    allow_redefine => true,
    ensure_value   => 'directory',
    value          => $instance,
  }

  resource_value { "File[${path}]mode":
    allow_create   => true,
    allow_redefine => true,
    value          => '0755',
  }

  # resource_value { "Db2_database[${instance}/${database}]${parameter}":
  #   allow_create   => true,
  #   allow_redefine => true,
  #   value          => "${indicator}${path}",
  # }
}
