#
# See the file "LICENSE" for the full license governing this code.
#
#
# Revoke public grants to the specfied resources
#
#
define db2_secured::internal::ensure_registry_value (
  String $value,
) {
  $elements = $title.split('/')
  $instance = $elements[0]
  $database = $elements[1]
  $key      = $elements[2]
  $home     = $facts['db2_instances'][$instance]['dftdbpath']

  exec { "Set registry value for ${key} to '${value}'":
    command     => "${home}/sqllib/adm/db2set ${key}=${value}",
    unless      => "${home}/sqllib/adm/db2set -all | /usr/bin/grep -e '${key}=${value}$'",
    user        => $instance,
    environment => "DB2INSTANCE=${instance}",
  }
}
